@echo off

echo %date% %time% >> %~dpn0.log

echo %%0=%0 >> %~dpn0.log
echo %%1=%1 >> %~dpn0.log

set CAIROBIN=%~d0\applications\gtk+\342\bin

for %%X in (libcairo-2.dll) do (set FOUND=%%~$PATH:X)
if not defined FOUND set PATH=%PATH%;%CAIROBIN%

echo PATH=%PATH% >> %~dpn0.log

%1
